Core - Bug # 40203

Task # 40095 (Resolved): Move core to namespaces

Status: Resolved Priority: Must have
Author: Felix Kopp Category:

Created: 2012-08-25 Assigned To:

Updated: 2012-08-26 Due date:

TYPO3 Version: 6.0

PHP Version:

Complexity:

Is Regression:

Sprint Focus:

Subject: Namespace: Element Browser

Description

The element browser terminates fatal with faulty controller path:

Fatal error:

Class \SC_TYPO3\CMS\Recordlist\Browser\ElementBrowser' not found in
typo3/sysext/core/Classes/Utility/GeneralUtility.php

on line 4151

Related issues:

duplicated by Core - Bug # 40155: browse_links.php instantiates wrong class ... Closed 2012-08-25

Associated revisions

Revision 066e1538 - 2012-08-26 11:39 - Thomas Maroschik

[BUGFIX] Fix the element browsers

Change-Id: 16e961a5a945b77068aa075a27bbb23682124f2fe
Fixes: #40203

Relates: #40095

Releases: 6.0

Reviewed-on: http://review.typo3.org/14103

Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

History

#1 - 2012-08-25 20:47 - Christian Kuhn
- Parent task set to #40095

#2 - 2012-08-26 02:58 - Gerrit Code Review

- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14103
#3 - 2012-08-26 12:30 - Thomas Maroschik
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:066e1538d0268dff8f026e621910d51a7797fc29.
